National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2019-14889 Detail

Current Description

A flaw was found with the libssh API function ssh_scp_new() in versions before 0.9.3 and before 0.8.8. When the libssh SCP client connects to a server, the scp command, which includes a user-provided path, is executed on the server-side. In case the library is used in a way where users can influence the third parameter of the function, it would become possible for an attacker to inject arbitrary commands, leading to a compromise of the remote target.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: 8.0 HIGH
Vector:  CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H

Nist CVSS score does not match with CNA score
CNA:  Red Hat, Inc.
Base Score: 7.1 HIGH
Vector:  CVSS:3.0/AV:N/AC:H/PR:L/UI:R/S:U/C:H/I:H/A:H

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2019-12/msg00033.html Third Party Advisory
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-14889 Issue Tracking Third Party Advisory
https://lists.debian.org/debian-lts-announce/2019/12/msg00020.html Third Party Advisory
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/7JJWJTXVWLLJTVHBPGWL7472S5FWXYQR/ Third Party Advisory
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/EV2ONSPDJCTDVORCB4UGRQUZQQ46JHRN/
https://usn.ubuntu.com/4219-1/ Third Party Advisory
https://www.libssh.org/security/advisories/CVE-2019-14889.txt Vendor Advisory

Weakness Enumeration

CWE-ID CWE Name Source
CWE-74 Improper Neutralization of Special Elements in Output Used by a Downstream Component ('Injection') NIST  
CWE-77 Improper Neutralization of Special Elements used in a Command ('Command Injection') Red Hat, Inc.  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:libssh:libssh:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
0.8.8
 cpe:2.3:a:libssh:libssh:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
From (including)
0.9.0
Up to (excluding)
0.9.3

Configuration 2 ( hide )
 cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:lts:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:19.04:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:19.10:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

5 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2019-14889
NVD Published Date:
12/10/2019
NVD Last Modified:
01/03/2020